View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013482ParaView(No Category)public2012-09-28 15:322015-01-11 08:32
ReporterUtkarsh Ayachit 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.98.0 
Summary0013482: Outline broken in parallel
DescriptionOutlines for structured grid and rectilinear grid not working in parallel (try with office.binary.vtk and rectGrid2.vtk), but works fine for vtkImageData.

It extracts the internal boundary outline.
TagsNo tags attached.
ProjectSandia
Topic Name13482_fix_structured_data_outlines
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0029306)
Utkarsh Ayachit (administrator)
2012-09-28 16:46

commit 5bfb8679cba7c643897b22c7bfea32620aa26cc0
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Fri Sep 28 16:25:07 2012 -0400

    BUG 0013482. Fix outlines for reclinear and structured grids.
    
    Outline for vtkStructuredGrid and vtkRectilinearGrid was not working correctly
    in parallel. We would see internal outlines. The issue was introduce by VTK 6.0
    API changes. Since the data object no longer provides pipeline information and
    hence no WHOLE_EXTENT information is available, we have to explicitly create
    vtkPVTrivialProducer to pass the whole_extent correctly to the internal filters.
    
    Adding a new test (DataOutlines) to test this functionality.
(0029307)
Utkarsh Ayachit (administrator)
2012-09-28 16:49

To test, open the following datafiles (in PAraViewData) with a parallel server (remote and/or local rendering) and ensure that internal boundaries are not visible.

* RectGrid2.vtk (vtkRectilinearGrid)
* office.binary.vtk (vtkStructuredGrid)
* iron protein.vtk (vtkImageData)

(all are covered in the newly added DataOutlines test)
(0029310)
Utkarsh Ayachit (administrator)
2012-09-29 10:58

merged into master, if applicable.
(0029359)
Alan Scott (manager)
2012-10-10 21:43

Tested Linux, remote server, master. Used the datasets suggested below.

- Issue History
Date Modified Username Field Change
2012-09-28 15:32 Utkarsh Ayachit New Issue
2012-09-28 15:32 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2012-09-28 16:46 Utkarsh Ayachit Topic Name => 13482_fix_structured_data_outlines
2012-09-28 16:46 Utkarsh Ayachit Note Added: 0029306
2012-09-28 16:46 Utkarsh Ayachit Status backlog => gatekeeper review
2012-09-28 16:46 Utkarsh Ayachit Fixed in Version => git-next
2012-09-28 16:46 Utkarsh Ayachit Resolution open => fixed
2012-09-28 16:49 Utkarsh Ayachit Note Added: 0029307
2012-09-29 10:58 Utkarsh Ayachit Fixed in Version git-next => git-master
2012-09-29 10:58 Utkarsh Ayachit Status gatekeeper review => customer review
2012-09-29 10:58 Utkarsh Ayachit Note Added: 0029310
2012-10-10 21:43 Alan Scott Note Added: 0029359
2012-10-10 21:43 Alan Scott Status customer review => closed
2012-10-29 17:04 Utkarsh Ayachit Fixed in Version git-master => 3.98.0
2015-01-11 08:32 Utkarsh Ayachit Source_changeset_attached => ParaView master 89c4e4b9
2015-01-11 08:32 Utkarsh Ayachit Source_changeset_attached => ParaView master 5bfb8679


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker